{**
* LDV Generator
*
* NOTICE OF LICENSE
*
* This product is licensed for one customer to use on one installation (test stores and multishop included).
* Site developer has the right to modify this module to suit their needs, but can not redistribute the module in
* whole or in part. Any other use of this module constitues a violation of the user agreement.
*
* DISCLAIMER
*
* NO WARRANTIES OF DATA SAFETY OR MODULE SECURITY
* ARE EXPRESSED OR IMPLIED. USE THIS MODULE IN ACCORDANCE
* WITH YOUR MERCHANT AGREEMENT, KNOWING THAT VIOLATIONS OF
* PCI COMPLIANCY OR A DATA BREACH CAN COST THOUSANDS OF DOLLARS
* IN FINES AND DAMAGE A STORES REPUTATION. USE AT YOUR OWN RISK.
*
*  @author    maipiusenza
*  @copyright 2017 maipiusenza
*  @license   See above
*
* maipiusenza
*}
{if $ldvarray[0] == 'none'}
{assign var="ldvStyle" value=""}
{elseif $ldvarray[0] == 'topLeft'}
{assign var="ldvStyle" value='style="margin-top:20px; margin-bottom:10px; position:fixed;left:0;top:25px; z-index:5000;"'}
{elseif $ldvarray[0] == 'topRight'}
{assign var="ldvStyle" value='style="margin-top:20px; margin-bottom:10px; position:fixed;right:0;top:25px; z-index:5000;"'}
{elseif $ldvarray[0] == 'bottomLeft'}
{assign var="ldvStyle" value='style="margin-top:20px; margin-bottom:10px; position:fixed;left:0;bottom:25px; z-index:5000;"'}
{else}
{assign var="ldvStyle" value='style="margin-top:20px; margin-bottom:10px; position:fixed;right:0;bottom:25px; z-index:5000;"'}
{/if}
{if $lang_iso =='it'}
	{assign var="myLang" value=""}
{else}
	{assign var="myLang" value="_en"}		
{/if}
        <div id="flashContent" {$ldvStyle}{* html style escape not applicable *}>
			<div id="LDVall">
				<div id="LDVstatus"></div>
				<div style=" color:#FFF; font-weight: bold; font-size:13px; font-style:italic; text-align:left; margin:0 0 0 25px; float:left; line-height:120%; height:37px;">{l s='Choose the courier below and send' mod='ldvgenerator'}<br />
					{l s='the order data to LDV Generator' mod='ldvgenerator'}
				</div>
				<a id="LdvInvia" class="LdvInv{$myLang|escape:'htmlall':'UTF-8'}" style="display:none;" href="javascript:void(0);" onclick="SendVars();"><span>{l s='Send' mod='ldvgenerator'}</span></a>
				<div id="LDV_fascia"></div>
				<ul id="LDVul">
					<li><a id="EBOOST" style=" background-image:url({$ldvarray[1]|escape:'htmlall':'UTF-8'}modules/ldvgenerator/views/img/tab_ebo.png);" class="LDV_spento" href="javascript:void(0);" onclick='setCookie("EBOOST")'><span>eBoost</span></a></li>
					<li><a id="GLS" style="background-image:url({$ldvarray[1]|escape:'htmlall':'UTF-8'}modules/ldvgenerator/views/img/tab_gls.png);" class="LDV_spento" href="javascript:void(0);" onclick='setCookie("GLS")'><span>GLS</span></a></li>
					<li><a id="SDA" style="background-image:url({$ldvarray[1]|escape:'htmlall':'UTF-8'}modules/ldvgenerator/views/img/tab_sda.png);" class="LDV_spento" href="javascript:void(0);" onclick='setCookie("SDA")'><span>SDA</span></a></li>
					<li><a id="BRT" style="background-image:url({$ldvarray[1]|escape:'htmlall':'UTF-8'}modules/ldvgenerator/views/img/tab_brt.png);" class="LDV_spento" href="javascript:void(0);" onclick='setCookie("BRT")'><span>BRT</span></a></li>
					<li><a id="SW" style="background-image:url({$ldvarray[1]|escape:'htmlall':'UTF-8'}modules/ldvgenerator/views/img/tab_swb.png);" class="LDV_spento" href="javascript:void(0);" onclick='setCookie("SW")'><span>SpedireWeb</span></a></li>
					<li><a id="JOL" style="background-image:url({$ldvarray[1]|escape:'htmlall':'UTF-8'}modules/ldvgenerator/views/img/tab_jol.png);" class="LDV_spento" href="javascript:void(0);" onclick='setCookie("JOL")'><span>Jolly</span></a></li>
				</ul>
				
				<div id="LDV_footer"><div style="float:left; padding-left:2px;">s1.9S</div>modulo Importazione Dati</div>
			</div>
			<script type="text/javascript">
				var txtNoPeso1 = "{l s='Attention, at least one product does not have a specified weight.' mod='ldvgenerator'}";
				var txtNoPeso2 = "{l s='Check the total weight before creating the waybill.' mod='ldvgenerator'}";
				txtCorr = "{l s='Selected Courier' mod='ldvgenerator'}";
				txtInvio = "{l s='Sending data...' mod='ldvgenerator'}";
				txtSent1 =  "{l s='Data have been sent.' mod='ldvgenerator'}";
				txtSent2 =  "{l s='Move to LDV Generator to check data and create the waybill.' mod='ldvgenerator'}";
				txtError1 = "{l s='ERROR WHILE SENDING DATA.' mod='ldvgenerator'}";
				txtError2 = "{l s='Check that LDV Generator is open and try again.' mod='ldvgenerator'}";
				
				var prodSenzaPeso = {$ldvarray[4]|escape:'htmlall':'UTF-8'};
				flashvars = "PS_ld={$ldvarray[1]|escape:'htmlall':'UTF-8'}__v.{$ldvarray[3]|escape:'htmlall':'UTF-8'}&{$ldvarray[2]}{* variables passed to websocket file, must keep & and other html entities *}null;";
				
				{literal}
				if (getCookie("LDV_corriere").length>0) {
					setCookie(getCookie("LDV_corriere"));
				}
					if (prodSenzaPeso > 0 ) {
						document.getElementById("LDVstatus").appendChild(document.createTextNode(txtNoPeso1.toUpperCase()));
						document.getElementById("LDVstatus").appendChild(document.createElement("br"));
						document.getElementById("LDVstatus").appendChild(document.createTextNode(txtNoPeso2.toUpperCase()));
				
					}
				{/literal}
			</script>
        </div>
